AUTHSELECT(8)

NAME
authselect - selecciona la identitat del sistema i les fonts d'autenticació.

SINOPSI

    authselect [--debug] [--trace] [--warn] comanda [opcions de la comanda]

DESCRIPCIÓ

Authselect és una eina per configurar la identitat del sistema i les fonts d’autenticació i els proveïdors seleccionant un perfil específic. El perfil és un conjunt de fitxers que descriu com serà la configuració del sistema resultant. Quan es selecciona un perfil authselect crearà la pila nsswitch.conf(5) i PAM(8) per utilitzar les fonts d’identitat i autenticació definides pel perfil.

Si el conjunt de perfils proporcionat no és suficient, l’administrador pot crear un perfil personalitzat posant-lo en un directori de perfils especial ("/etc/authselect/custom"). En fer-ho, el perfil és immediatament utilitzable per authselect. Vegeu authselect-profiles(5) per obtenir més informació sobre com estendre els perfils existents.

OPTAR PER AUTHSELECT

Authselect no tocarà la vostra configuració existent tret que ja hagi estat creada per ella. Si voleu començar a utilitzar authselect per configurar l’autenticació del vostre sistema, si us plau, crideu primer authselect select amb el paràmetre --force (p. ex. authselect select sssd --force). El paràmetre --force indica a authselect que està bé sobreescriure la configuració existent que no sigui d’authselect (vegeu la descripció a continuació). L’ús del paràmetre --force generarà automàticament una còpia de seguretat de la vostra configuració actual, de manera que si voleu tornar enrere podeu restaurar-la amb la comanda authselect backup-restore (vegeu la descripció a continuació).

DESACTIVAR AUTHSELECT

Per deixar que authselect deixi de gestionar la vostra configuració, executeu authselect opt-out. Això eliminarà tota la configuració d’authselect del vostre sistema i llavors podreu modificar la vostra configuració manualment.

COMANDES DISPONIBLES

Per llistar totes les comandes disponibles executeu authselect sense cap paràmetre. Per imprimir l’ajuda per a la comanda seleccionada executeu authselect COMMAND --help.

select id_perfil [funcionalitats] [-f, --force] [-q, --quiet] [-b] [--backup=NOM]
    Activeu el perfil desitjat. Vegeu la descripció del perfil amb la comanda show, per llistar les funcionalitats opcionals específiques del perfil.

    --force, -f
        Escriu els canvis fins i tot si la configuració anterior no va ser creada per authselect sinó per una altra eina o per canvis manuals. Aquesta opció farà automàticament una còpia de seguretat dels fitxers del sistema abans d’escriure qualsevol canvi tret que s’estableixi l’opció --nobackup.

    -b
        Feu una còpia de seguretat dels fitxers del sistema abans d’activar el perfil seleccionat. La còpia de seguretat s’emmagatzemarà a "/var/lib/authselect/backups"/NOM. L’hora actual amb una cadena única s’utilitza com a nom de la còpia de seguretat. Aquesta és una drecera per a --backup=.

    --backup=NOM
        Feu una còpia de seguretat dels fitxers del sistema abans d’activar el perfil seleccionat. La còpia de seguretat s’emmagatzemarà a "/var/lib/authselect/backups"/NOM. L’hora actual amb una cadena única s’utilitza com a nom si no es proporciona cap valor.

    --nobackup
        No facis còpia de seguretat de la configuració del sistema fins i tot si s’estableix --force.

    --quiet, -q
        La comanda no imprimirà cap missatge informatiu com ara requisits addicionals del perfil o la ubicació de la còpia de seguretat. Els errors encara s’imprimeixen.

apply-changes [-b] [--backup=NOM]
    Torna a aplicar el perfil seleccionat actualment. Si les plantilles de perfil s’han actualitzat, aquesta comanda es pot utilitzar per regenerar la configuració actual del sistema per tal d’aplicar aquests canvis al sistema. Aquesta comanda només tornarà a aplicar els canvis si la configuració existent és una configuració d’authselect vàlida; en cas contrari, es retornarà un error.

    -b
        Feu una còpia de seguretat dels fitxers del sistema abans d’aplicar els canvis. La còpia de seguretat s’emmagatzemarà a "/var/lib/authselect/backups"/NOM. L’hora actual amb una cadena única s’utilitza com a nom de la còpia de seguretat. Aquesta és una drecera per a --backup=.

    --backup=NOM
        Feu una còpia de seguretat dels fitxers del sistema abans d’aplicar els canvis. La còpia de seguretat s’emmagatzemarà a "/var/lib/authselect/backups"/NOM. L’hora actual amb una cadena única s’utilitza com a nom si no es proporciona cap valor.

list
    Llista els perfils disponibles.

list-features id_perfil
    Llista totes les funcionalitats disponibles en el perfil donat. Nota: Això només llistarà les funcionalitats sense cap descripció. Si us plau, llegiu la documentació del perfil amb show per veure què fan les funcionalitats.

show id_perfil
    Imprimeix informació sobre el perfil.

requirements id_perfil [funcionalitats]
    Imprimeix informació sobre els requisits del perfil.

current [-r, --raw]
    Imprimeix informació sobre els perfils seleccionats actualment. Si s’especifica l’opció --raw, la comanda imprimirà paràmetres en cru tal com es van passar a la comanda select en lloc de la sortida formatada.

check
    Comprova si la configuració actual és vàlida (o bé va ser creada per authselect o no hi ha restes de l’anterior configuració d’authselect).

test id_perfil [opcions] [funcionalitats]
    Imprimeix el contingut dels fitxers generats per authselect sense escriure res a la configuració del sistema.

    -a, --all
        Imprimeix el contingut de tots els fitxers.

    -n, --nsswitch
        Imprimeix el contingut de nsswitch.conf.

    -s, --system-auth
        Imprimeix el contingut de system-auth.

    -p, --password-auth
        Imprimeix el contingut de password-auth.

    -c, --smartcard-auth
        Imprimeix el contingut de smartcard-auth.

    -f, --fingerprint-auth
        Imprimeix el contingut de fingerprint-auth.

    -o, --postlogin
        Imprimeix el contingut de postlogin.

    -d, --dconf-db
        Imprimeix el contingut de la base de dades de dconf.

    -l, --dconf-lock
        Imprimeix el contingut del bloqueig de dconf.

enable-feature funcionalitat [-b] [--backup=NOM] [-q, --quiet]
    Habilita la funcionalitat al perfil seleccionat actualment.

    -b
        Feu una còpia de seguretat dels fitxers del sistema abans d’habilitar la funcionalitat. La còpia de seguretat s’emmagatzemarà a "/var/lib/authselect/backups"/NOM. L’hora actual amb una cadena única s’utilitza com a nom de la còpia de seguretat. Aquesta és una drecera per a --backup=.

    --backup=NOM
        Feu una còpia de seguretat dels fitxers del sistema abans d’habilitar la funcionalitat. La còpia de seguretat s’emmagatzemarà a "/var/lib/authselect/backups"/NOM. L’hora actual amb una cadena única s’utilitza com a nom si no es proporciona cap valor.

    --quiet, -q
        La comanda no imprimirà cap missatge informatiu com ara requisits addicionals del perfil o la ubicació de la còpia de seguretat. Els errors encara s’imprimeixen.

disable-feature funcionalitat [-b] [--backup=NOM]
    Deshabilita la funcionalitat al perfil seleccionat actualment.

    -b
        Feu una còpia de seguretat dels fitxers del sistema abans de deshabilitar la funcionalitat. La còpia de seguretat s’emmagatzemarà a "/var/lib/authselect/backups"/NOM. L’hora actual amb una cadena única s’utilitza com a nom de la còpia de seguretat. Aquesta és una drecera per a --backup=.

    --backup=NOM
        Feu una còpia de seguretat dels fitxers del sistema abans de deshabilitar la funcionalitat. La còpia de seguretat s’emmagatzemarà a "/var/lib/authselect/backups"/NOM. L’hora actual amb una cadena única s’utilitza com a nom si no es proporciona cap valor.

is-feature-enabled feature
    Check if feature is currently enabled in the selected profile.

create-profile NOM [--vendor,-v] [opcions]
    Crea un nou perfil personalitzat anomenat NOM. El perfil es pot basar en un perfil existent; en aquest cas, les noves plantilles de perfil es copien del perfil base o es creen enllaços simbòlics a aquests fitxers si se selecciona aquesta opció.

    --vendor,-v
        El nou perfil és un perfil de proveïdor en lloc d’un perfil personalitzat. Vegeu authselect-profiles(5) per obtenir més informació sobre els tipus de perfil.

    --base-on=ID-BASE, -b=ID-BASE
        El nou perfil es basarà en un perfil anomenat ID-BASE. La ubicació del perfil base es determina amb aquests passos:

            1. Si ID-BASE comença amb el prefix custom/ és un perfil personalitzat.

            2. Prova si ID-BASE es troba als perfils de proveïdor.

            3. Prova si ID-BASE es troba als perfils per defecte.

            4. Retorna un error.

    --base-on-default
        El perfil base és un perfil per defecte fins i tot si es troba també dins dels perfils de proveïdor.

    --symlink-meta
        Els fitxers meta, com ara README i REQUIREMENTS seran enllaços simbòlics als fitxers del perfil original en lloc de la seva còpia.

    --symlink-nsswitch
        La plantilla nsswitch.conf serà un enllaç simbòlic al fitxer del perfil original en lloc de la seva còpia.

    --symlink-pam
        Les plantilles PAM seran enllaços simbòlics als fitxers del perfil original en lloc de la seva còpia.

    --symlink-dconf
        Les plantilles dconf seran enllaços simbòlics als fitxers del perfil original en lloc de la seva còpia.

    --symlink=FITXER,-s=FITXER
        Crea un enllaç simbòlic per a un fitxer de plantilla FITXER en lloc de crear la seva còpia. Aquesta opció es pot passar diverses vegades.

COMANDES DE CÒPIA DE SEGURETAT

Aquestes comandes es poden utilitzar per gestionar configuracions amb còpia de seguretat.

backup-list [-r, --raw]
    Imprimeix les còpies de seguretat disponibles. Si s’especifica l’opció --raw, la comanda només imprimirà els noms de les còpies de seguretat sense cap format ni informació addicional.

backup-remove CÒPIA_SEGURETAT
    Suprimeix permanentment la còpia de seguretat anomenada CÒPIA_SEGURETAT.

backup-restore CÒPIA_SEGURETAT
    Restaura la configuració des de la còpia de seguretat anomenada CÒPIA_SEGURETAT. Nota: això sobreescriurà la configuració actual.

ALTRES COMANDES

opt-out
    Elimina la configuració d’authselect. Això restaurarà la configuració nsswitch i PAM a la seva ubicació del sistema i authselect ja no la gestionarà. Executeu authselect select per tornar a optar-hi.

OPCIONS COMUNES

Aquestes opcions estan disponibles amb totes les comandes.

--debug
    Imprimeix informació de depuració i missatges d’error.

--trace
    Imprimeix informació sobre què està fent l’eina.

--warn
    Imprimeix informació sobre situacions inesperades que no afecten l’execució del programa però que poden indicar situacions no desitjades (per exemple, un fitxer inesperat en un directori de perfil).

RESOLUCIÓ DE PROBLEMES

  Com puc saber si el meu sistema utilitza authselect?

Utilitzeu authselect check. La sortida us dirà si teniu 1) configuració generada per authselect 2) configuració que no és d’authselect o 3) configuració generada per authselect però modificada manualment en algun moment.

  El fitxer nsswitch.conf ha de ser ara un enllaç simbòlic?

Authselect genera la configuració del vostre sistema des de zero i l’emmagatzema a "/etc/authselect". Els fitxers del sistema es creen llavors com a enllaços simbòlics a aquest directori. Els enllaços simbòlics s’utilitzen per deixar clar que authselect és ara propietari de la vostra configuració i s’hauria d’utilitzar en lloc de qualsevol modificació manual.

  Error: S’han detectat canvis inesperats a la configuració.

Per exemple:

    [error] [/etc/authselect/nsswitch.conf] no existeix!
    [error] [/etc/nsswitch.conf] no és un enllaç simbòlic!
    [error] [/etc/nsswitch.conf] no ha estat creat per authselect!
    [error] S'han detectat canvis inesperats a la configuració.
    [error] Es refusa a activar el perfil tret que s'eliminin aquests canvis o se sol⋅liciti la sobreescriptura.

Això significa que la vostra configuració és desconeguda per a authselect i com a tal no es modificarà. Per solucionar-ho, si us plau, crideu authselect select amb el paràmetre --force per dir que està bé sobreescriure-la.

CODIS DE RETORN

L'authselect pot retornar aquests codis de sortida:

    • 0: Èxit.

    • 1: Error genèric.

    • 2: No s’ha trobat el perfil o la configuració o el sistema no s’ha configurat amb authselect.

    • 3: La configuració actual no és vàlida, s’ha editat sense authselect.

    • 4: La configuració del sistema s’ha de sobreescriure per activar un perfil d’authselect, es necessita el paràmetre --force.

    • 5: La comanda executada s’ha d’executar com a root.

    • 6: No s’ha detectat cap configuració.

FITXERS GENERATS

Authselect crea i manté els fitxers següents per configurar correctament la identitat del sistema i els proveïdors d’autenticació.

"/etc/nsswitch.conf"
    Nom del fitxer de configuració del commutador de serveis.

"/etc/pam.d"/system-auth
    Pila PAM que s’inclou des de gairebé tots els fitxers de configuració de servei individuals.

"/etc/pam.d"/password-auth, smartcard-auth, fingerprint-auth
    Aquestes piles de PAM són per a aplicacions que manegen l’autenticació de diferents tipus de dispositius mitjançant l’execució simultània de converses individuals en lloc d’una conversa agregada.

"/etc/pam.d"/postlogin
    El propòsit d’aquesta pila PAM és proporcionar un lloc comú per a tots els mòduls PAM que s’haurien de cridar després de la pila configurada en system-auth o els altres fitxers de configuració PAM comuns. S’inclou des de tots els fitxers de configuració de servei individuals que proporcionen servei d’inici de sessió amb shell o accés a fitxers. NOTA: els mòduls del fitxer de configuració postlogin s’executen independentment de l’èxit o la fallada dels mòduls del fitxer de configuració system-auth.

"/etc/dconf/db/distro.d"/"20-authselect"
    Canvis a la base de dades dconf. El cas d’ús principal d’aquest fitxer és establir canvis per a la pantalla d’inici de sessió del gnome per tal d’habilitar o desactivar l’autenticació de targetes intel⋅ligents i empremtes digitals.

"/etc/dconf/db/distro.d"/locks/"20-authselect"
    Aquest fitxer defineix els bloqueigs en els valors establerts a la base de dades dconf.

VEGEU TAMBÉ

authselect-profiles(5), authselect-migration(7), nsswitch.conf(5), PAM(8)